Bug 2447 - termios.h defines ONLCR, but not OCRNL, ONOCR, ONLRET, OFILL,...
Summary: termios.h defines ONLCR, but not OCRNL, ONOCR, ONLRET, OFILL,...
Status: VERIFIED FIXED
Alias: None
Product: glibc
Classification: Unclassified
Component: hurd (show other bugs)
Version: 2.3.6
: P2 minor
Target Milestone: ---
Assignee: Roland McGrath
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-03-12 14:59 IST by Samuel Thibault
Modified: 2008-05-06 01:06 IST (History)
2 users (show)

See Also:
Host:
Target:
Build:
Last reconfirmed:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Samuel Thibault 2006-03-12 14:59:19 IST
Hi,

glibc/bits/termios.h contains definition for ONLCR (with a ifdef __USE_BSD), but
not for all other standard flags: OCRNL, ONOCR, ONLRET, OFILL, OFDEL, NLDLY,
NL0, NL1, CRDLY, CR0, CR1, CR2, CR3, TABDLY, TAB0, TAB1, TAB2, TAB3, BSDLY, BS0,
BS1, VTDLY, VT0, VT1, FFDLY, FF0 and FF1. This at least hurts the Hurd. I guess this should get fixed?

Regards,
Samuel
Comment 1 Ulrich Drepper 2006-04-02 17:16:57 IST
Linux doesn't use the file and has correct definitions.  Somebody who cares
about the platform using this specific file should send a patch after
researching the issue.
Comment 2 Roland McGrath 2006-04-02 23:48:42 IST
Hurd uses that bits/termios.h, we should harmonize.
Comment 3 Samuel Thibault 2008-05-06 01:05:47 IST
Fixed by today's commit 
Comment 4 Samuel Thibault 2008-05-06 01:06:22 IST
Done